# Run tests in check section
%bcond_without check
%global debug_package %{nil}

# https://github.com/googleapis/gax-go
%global goipath         github.com/googleapis/gax-go
Version:                2.4.0

%gometa

%global common_description %{expand:
Google API Extensions for Go (gax-go) is a set of modules which aids the
development of APIs for clients and servers based on gRPC and Google API
conventions.

Application code will rarely need to use this library directly, but the
code generated automatically from API definition files can use it to simplify
code generation and to provide more convenient and idiomatic API surface.}

%global golicenses      LICENSE
%global godocs          CODE_OF_CONDUCT.md CONTRIBUTING.md README.md RELEASING.md

Name:           %{goname}
Release:        %mkrel 1
Summary:        Google API Extensions for Go

# Upstream license specification: BSD-3-Clause
License:        BSD
Group:          Development/Other
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(google.golang.org/api/googleapi)
BuildRequires:  golang(google.golang.org/genproto/googleapis/rpc/code)
BuildRequires:  golang(google.golang.org/genproto/googleapis/rpc/errdetails)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/codes)
BuildRequires:  golang(google.golang.org/grpc/status)
BuildRequires:  golang(google.golang.org/protobuf/encoding/protojson)
BuildRequires:  golang(google.golang.org/protobuf/proto)
BuildRequires:  golang(google.golang.org/protobuf/reflect/protoreflect)
BuildRequires:  golang(google.golang.org/protobuf/runtime/protoimpl)
BuildRequires:  golang(google.golang.org/protobuf/types/known/anypb)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
BuildRequires:  golang(google.golang.org/protobuf/proto)
BuildRequires:  golang(google.golang.org/protobuf/types/descriptorpb)
BuildRequires:  golang(google.golang.org/protobuf/types/known/durationpb)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles



%changelog
* Sat Aug 20 2022 guillomovitch <guillomovitch> 2.4.0-1.mga9
+ Revision: 1878833
- new version 2.4.0

* Wed Apr 06 2022 umeabot <umeabot> 2.1.0-2.mga9
+ Revision: 1845967
- Mageia 9 Mass Rebuild

* Sun Nov 14 2021 guillomovitch <guillomovitch> 2.1.0-1.mga9
+ Revision: 1756348
- new version 2.1.0

* Fri Sep 04 2020 pterjan <pterjan> 2.0.5-1.mga8
+ Revision: 1621715
- Modernize and update to 2.0.5

* Mon Jun 15 2020 joequant <joequant> 2.0.0-1.mga8
+ Revision: 1593317
- fix spec

* Sun Nov 25 2018 pterjan <pterjan> 2.0.0-1.mga7
+ Revision: 1334408
- imported package golang-github-googleapis-gax


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Mar 21 2018  Robert-André Mauchin <zebob.m@gmail.com> - 2.0.0-1
- First package for Fedora

